Next: ERFC, Previous: EPSILON, Up: Intrinsic Procedures [Contents][Index]

### 9.95 `ERF` — Error function

Description:

  `ERF(X)` computes the error function of X.

Standard:

  Fortran 2008 and later

Class:

  Elemental function

Syntax:

  `RESULT = ERF(X)`

Arguments:

  X | The type shall be `REAL`.

Return value:

  The return value is of type `REAL`, of the same kind as X and lies in the range -1 \leq erf (x) \leq 1 .

Example:

      program test_erf
        real(8) :: x = 0.17_8
        x = erf(x)
      end program test_erf

Specific names:

  Name | Argument | Return type | Standard
  `DERF(X)` | `REAL(8) X` | `REAL(8)` | GNU extension